[Overview][Types][Classes][Index] | Reference for unit 'base64' (#fcl)

# TBase64DecodingStream.Read

Read and decrypt data from the source stream

## Declaration

Source position: base64.pp line 80

`public function TBase64DecodingStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Buffer to store data in.
`Count` |  | Maxmimum number of bytes to store in buffer.

## Function result

Number of bytes stored in buffer.

## Description

Read reads encrypted data from the source stream and stores this data in Buffer. At most Count bytes will be stored in the buffer, but more bytes will be read from the source stream: the encoding algorithm multiplies the number of bytes.

The function returns the number of bytes stored in the buffer.

## Errors

If an error occurs during the read from the source stream, an exception may occur.

## See also

TBase64DecodingStream.Write |  | Write data to the stream
TBase64DecodingStream.Seek |  | Set stream position.
TStream.Read

The latest version of this document can be found at lazarus-ccr.sourceforge.net.